package com.bankaudit.rest.process.service;

import java.time.LocalDate;
import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;
import com.bankaudit.process.model.AuditTeam;
import com.bankaudit.process.model.AuditTeamWrk;

public interface AuditPlanUpdateService {

	void createAuditTeamWrk(AuditTeamWrk auditTeamWrk);
	
	DataTableResponse getAuditPlanUpdateList(int legalEntityCode, String userId, String search, Integer orderColumn, String orderDirection, Integer page, Integer size ,
			LocalDate financialYear, String auditTypeCode);
	
	AuditSchedule getAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId, String teamStatus); 
	
	List<AuditTeam> getAuditTeamsByAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId, String teamStatus);
	
	void updateAuditTeams(AuditSchedule auditSchedule);
	

	List<AuditSchedule> getAuditScheduleUpdateList(int legalEntityCode, String userId, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size );

	void updateAuditSchedule(AuditSchedule auditSchedule);

}
